#!/bin/sh -e
# Copyright GD (C)2004
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: addon.m4,v 1.1 2004/10/13 09:22:23 gd Exp $

genclass=python
suffix=
inclass=python
. ${JAILUP_CONF}
kind=`${dirname} "${0}"`
kind=`${basename} "${kind}"`
t=`${basename} "${0}"`
if  [ "${t}" != "${t#*-}" ]; then
    kind="${kind}/-${t#*-}"
fi

if  [ -z "${1}" ]; then
    ${cat} << EOF
# jailup python <dirlist>
#           dir relative to ${JAILUPDIR}
# installed ports/lang/python used
EOF
    exit
fi
umask 022

for i in "$@"; do
    main_dir="${JAILUPDIR}/${i}"
    ${up_mdir} "${main_dir}" ${MTREE}
    
    ${up_exec} "${main_dir}/usr/bin" "/usr/local/bin" << EOF
	python
EOF

    ${up_shlib} "${main_dir}/usr/lib" << "EOF"
        m c_r util
EOF

    ${up_libexe} "${main_dir}/usr/libexec" << EOF
	ld-elf.so.1
EOF

    ${up_data} "${main_dir}/usr/lib/python2.3" /usr/local/lib/python2.3/ << EOF
	/UserDict.py
        /UserDict.pyc
        /copy_reg.py
        /copy_reg.pyc
        /os.py          
        /os.pyc
        /posixpath.py
        /posixpath.pyc
        /site.py
        /site.pyc
        /stat.py
        /stat.pyc
        /types.py
        /types.pyc
EOF
    ${up_mtree} "${main_dir}" ${MTREE}
done
